Debian Bug report logs - #643488
petsc: FTBFS: dpkg-buildpackage: error: dpkg-source --after-build petsc-3.1.dfsg gave error exit status 1

version graph

Package: src:petsc; Maintainer for src:petsc is Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>;

Reported by: Didier Raboud <odyx@debian.org>

Date: Tue, 27 Sep 2011 13:13:14 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version petsc/3.1.dfsg-11

Fixed in version petsc/3.1.dfsg-11.1

Done: Didier Raboud <odyx@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#643488; Package src:petsc. (Tue, 27 Sep 2011 13:13:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 27 Sep 2011 13:13:17 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: submit@bugs.debian.org
Subject: petsc: FTBFS: dpkg-buildpackage: error: dpkg-source --after-build petsc-3.1.dfsg gave error exit status 1
Date: Tue, 27 Sep 2011 15:04:49 +0200
Source: petsc
Version: 3.1.dfsg-11
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110923 qa-ftbfs dpkg-source-exit-1
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> dpkg-genchanges: including full source code in upload
>  dpkg-source --after-build petsc-3.1.dfsg
> dpkg-source: info: unapplying ld.patch
> dpkg-source: info: unapplying mumps.patch
> dpkg-source: info: unapplying configure-kfreebsd8.patch
> dpkg-source: info: unapplying clean-no-double-colon.patch
> dpkg-source: info: unapplying sprng-2.patch
> dpkg-source: info: unapplying lib-versions.patch
> dpkg-source: info: unapplying example-src-dir.patch
> dpkg-source: info: unapplying docs.patch
> dpkg-source: info: unapplying build-no-rpath.patch
> dpkg-source: info: unapplying build-debug-nowarn.patch
> dpkg-source: info: unapplying restore-upstream.patch
> patching file conf/petscvariables
> Hunk #1 FAILED at 1.
> 1 out of 1 hunk FAILED -- saving rejects to file conf/petscvariables.rej
> patching file config/BuildSystem/config/packages/config.guess
> dpkg-source: error: LC_ALL=C patch -R -t -N -p1 -u -V never -g0 -E --no-backup-if-mismatch < petsc-3.1.dfsg/debian/patches/restore-upstream.patch gave error exit status 1
> Hunk #1 FAILED at 1.
> Hunk #3 FAILED at 54.
> Hunk #10 FAILED at 299.
> Hunk #11 succeeded at 346 (offset 3 lines).
> Hunk #12 succeeded at 380 (offset 3 lines).
> Hunk #13 succeeded at 395 (offset 3 lines).
> Hunk #14 FAILED at 406.
> Hunk #15 succeeded at 466 with fuzz 2 (offset 3 lines).
> Hunk #16 FAILED at 504.
> Hunk #17 succeeded at 537 (offset 3 lines).
> Hunk #18 FAILED at 549.
> Hunk #19 succeeded at 577 (offset 3 lines).
> Hunk #20 succeeded at 660 (offset 3 lines).
> Hunk #21 succeeded at 670 (offset 3 lines).
> Hunk #22 FAILED at 699.
> Hunk #23 FAILED at 948.
> Hunk #24 succeeded at 1001 with fuzz 2 (offset 12 lines).
> Hunk #25 FAILED at 1017.
> Hunk #26 FAILED at 1044.
> Hunk #27 FAILED at 1131.
> Hunk #28 FAILED at 1226.
> Hunk #29 FAILED at 1255.
> Hunk #30 succeeded at 1345 (offset 15 lines).
> Hunk #31 succeeded at 1434 (offset 15 lines).
> Hunk #32 succeeded at 1447 (offset 15 lines).
> Hunk #33 succeeded at 1473 (offset 15 lines).
> 13 out of 33 hunks FAILED -- saving rejects to file config/BuildSystem/config/packages/config.guess.rej
> patching file config/BuildSystem/config/packages/config.sub
> Hunk #1 FAILED at 1.
> Hunk #3 FAILED at 71.
> Hunk #6 FAILED at 120.
> Hunk #7 FAILED at 149.
> Hunk #8 succeeded at 178 (offset 1 line).
> Hunk #9 succeeded at 194 (offset 1 line).
> Hunk #10 succeeded at 238 (offset 1 line).
> Hunk #11 FAILED at 262.
> Hunk #12 FAILED at 315.
> Hunk #13 FAILED at 349.
> Hunk #14 succeeded at 467 (offset 26 lines).
> Hunk #15 FAILED at 449.
> Hunk #16 FAILED at 497.
> Hunk #17 succeeded at 571 (offset 35 lines).
> Hunk #18 succeeded at 725 (offset 35 lines).
> Hunk #19 FAILED at 701.
> Hunk #20 succeeded at 772 (offset 35 lines).
> Hunk #21 succeeded at 853 (offset 41 lines).
> Hunk #22 succeeded at 877 (offset 41 lines).
> Hunk #23 succeeded at 886 (offset 41 lines).
> Hunk #24 succeeded at 943 (offset 42 lines).
> Hunk #25 succeeded at 969 (offset 42 lines).
> Hunk #26 succeeded at 980 (offset 42 lines).
> Hunk #27 FAILED at 1027.
> Hunk #28 succeeded at 1147 (offset 36 lines).
> Hunk #29 succeeded at 1185 (offset 36 lines).
> Hunk #30 FAILED at 1202.
> Hunk #31 FAILED at 1225.
> Hunk #32 succeeded at 1303 (offset 37 lines).
> Hunk #33 FAILED at 1378.
> Hunk #34 FAILED at 1405.
> Hunk #35 FAILED at 1420.
> Hunk #36 FAILED at 1448.
> Hunk #37 succeeded at 1515 (offset 46 lines).
> Hunk #38 succeeded at 1623 (offset 46 lines).
> Hunk #39 succeeded at 1686 (offset 46 lines).
> 17 out of 39 hunks FAILED -- saving rejects to file config/BuildSystem/config/packages/config.sub.rej
> patching file config/configarch/config.guess
> Hunk #1 FAILED at 1.
> Hunk #3 FAILED at 54.
> Hunk #10 FAILED at 299.
> Hunk #11 succeeded at 346 (offset 3 lines).
> Hunk #12 succeeded at 380 (offset 3 lines).
> Hunk #13 succeeded at 395 (offset 3 lines).
> Hunk #14 FAILED at 406.
> Hunk #15 succeeded at 466 with fuzz 2 (offset 3 lines).
> Hunk #16 FAILED at 504.
> Hunk #17 succeeded at 537 (offset 3 lines).
> Hunk #18 FAILED at 549.
> Hunk #19 succeeded at 577 (offset 3 lines).
> Hunk #20 succeeded at 660 (offset 3 lines).
> Hunk #21 succeeded at 670 (offset 3 lines).
> Hunk #22 FAILED at 699.
> Hunk #23 FAILED at 948.
> Hunk #24 succeeded at 1001 with fuzz 2 (offset 12 lines).
> Hunk #25 FAILED at 1017.
> Hunk #26 FAILED at 1044.
> Hunk #27 FAILED at 1131.
> Hunk #28 FAILED at 1226.
> Hunk #29 FAILED at 1255.
> Hunk #30 succeeded at 1345 (offset 15 lines).
> Hunk #31 succeeded at 1434 (offset 15 lines).
> Hunk #32 succeeded at 1447 (offset 15 lines).
> Hunk #33 succeeded at 1473 (offset 15 lines).
> 13 out of 33 hunks FAILED -- saving rejects to file config/configarch/config.guess.rej
> patching file config/configarch/config.sub
> Hunk #1 FAILED at 1.
> Hunk #3 FAILED at 71.
> Hunk #6 FAILED at 120.
> Hunk #7 FAILED at 149.
> Hunk #8 succeeded at 178 (offset 1 line).
> Hunk #9 succeeded at 194 (offset 1 line).
> Hunk #10 succeeded at 238 (offset 1 line).
> Hunk #11 FAILED at 262.
> Hunk #12 FAILED at 315.
> Hunk #13 FAILED at 349.
> Hunk #14 succeeded at 467 (offset 26 lines).
> Hunk #15 FAILED at 449.
> Hunk #16 FAILED at 497.
> Hunk #17 succeeded at 571 (offset 35 lines).
> Hunk #18 succeeded at 725 (offset 35 lines).
> Hunk #19 FAILED at 701.
> Hunk #20 succeeded at 772 (offset 35 lines).
> Hunk #21 succeeded at 853 (offset 41 lines).
> Hunk #22 succeeded at 877 (offset 41 lines).
> Hunk #23 succeeded at 886 (offset 41 lines).
> Hunk #24 succeeded at 943 (offset 42 lines).
> Hunk #25 succeeded at 969 (offset 42 lines).
> Hunk #26 succeeded at 980 (offset 42 lines).
> Hunk #27 FAILED at 1027.
> Hunk #28 succeeded at 1147 (offset 36 lines).
> Hunk #29 succeeded at 1185 (offset 36 lines).
> Hunk #30 FAILED at 1202.
> Hunk #31 FAILED at 1225.
> Hunk #32 succeeded at 1303 (offset 37 lines).
> Hunk #33 FAILED at 1378.
> Hunk #34 FAILED at 1405.
> Hunk #35 FAILED at 1420.
> Hunk #36 FAILED at 1448.
> Hunk #37 succeeded at 1515 (offset 46 lines).
> Hunk #38 succeeded at 1623 (offset 46 lines).
> Hunk #39 succeeded at 1686 (offset 46 lines).
> 17 out of 39 hunks FAILED -- saving rejects to file config/configarch/config.sub.rej
> dpkg-buildpackage: error: dpkg-source --after-build petsc-3.1.dfsg gave error exit status 1
> ────────────────────────────────────────────────────────────────────────────────
> Build finished at 20110923-2359

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/09/23/petsc_3.1.dfsg-11_lsid64.buildlog

This is probably due to special hand-fiddling with debian/patches/* 
quilt series. With dpkg >= 1.16.0, "When dpkg-source automatically applies
patches at the start of the build process, it will also automatically unapply
them at the end of a successful build." [0]

[0] http://lists.debian.org/debian-devel-announce/2011/09/msg00001.html

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#643488; Package src:petsc. (Tue, 15 Nov 2011 18:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 15 Nov 2011 18:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 643488@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 643488@bugs.debian.org
Subject: petsc: diff for NMU version 3.1.dfsg-11.1
Date: Tue, 15 Nov 2011 19:53:19 +0100
[Message part 1 (text/plain, inline)]
tags 643488 + patch
thanks

Dear maintainer,

I've prepared an NMU for petsc (versioned as 3.1.dfsg-11.1), uploaded to
DELAYED/0 as per DevRef §5.11.1.

The diff is attached to this message.

Regards,

OdyX
[petsc-3.1.dfsg-11.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Tue, 15 Nov 2011 18:57:04 GMT) Full text and rfc822 format available.

Reply sent to Didier Raboud <odyx@debian.org>:
You have taken responsibility. (Tue, 15 Nov 2011 22:48:03 GMT) Full text and rfc822 format available.

Notification sent to Didier Raboud <odyx@debian.org>:
Bug acknowledged by developer. (Tue, 15 Nov 2011 22:48:03 GMT) Full text and rfc822 format available.

Message #17 received at 643488-close@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 643488-close@bugs.debian.org
Subject: Bug#643488: fixed in petsc 3.1.dfsg-11.1
Date: Tue, 15 Nov 2011 22:44:55 +0000
Source: petsc
Source-Version: 3.1.dfsg-11.1

We believe that the bug you reported is fixed in the latest version of
petsc, which is due to be installed in the Debian FTP archive:

libpetsc3.1-dbg_3.1.dfsg-11.1_amd64.deb
  to main/p/petsc/libpetsc3.1-dbg_3.1.dfsg-11.1_amd64.deb
libpetsc3.1-dev_3.1.dfsg-11.1_amd64.deb
  to main/p/petsc/libpetsc3.1-dev_3.1.dfsg-11.1_amd64.deb
libpetsc3.1_3.1.dfsg-11.1_amd64.deb
  to main/p/petsc/libpetsc3.1_3.1.dfsg-11.1_amd64.deb
petsc-dev_3.1.dfsg-11.1_all.deb
  to main/p/petsc/petsc-dev_3.1.dfsg-11.1_all.deb
petsc3.1-doc_3.1.dfsg-11.1_all.deb
  to main/p/petsc/petsc3.1-doc_3.1.dfsg-11.1_all.deb
petsc_3.1.dfsg-11.1.debian.tar.gz
  to main/p/petsc/petsc_3.1.dfsg-11.1.debian.tar.gz
petsc_3.1.dfsg-11.1.dsc
  to main/p/petsc/petsc_3.1.dfsg-11.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 643488@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Didier Raboud <odyx@debian.org> (supplier of updated petsc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 15 Nov 2011 17:20:34 +0100
Source: petsc
Binary: libpetsc3.1-dev petsc-dev libpetsc3.1 libpetsc3.1-dbg petsc3.1-doc
Architecture: source all amd64
Version: 3.1.dfsg-11.1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Didier Raboud <odyx@debian.org>
Description: 
 libpetsc3.1 - Shared libraries for version 3.1 of PETSc
 libpetsc3.1-dbg - Static debugging libraries for PETSc
 libpetsc3.1-dev - Static libraries, shared links, header files for PETSc
 petsc-dev  - Meta-package depending on latest PETSc development package
 petsc3.1-doc - Documentation and examples for PETSc
Closes: 643488
Changes: 
 petsc (3.1.dfsg-11.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Don't mix source format 3.0 (quilt) and manual usage of quilt:
     - Drop manual quilt calls from debian/rules;
     - Drop superfluous quilt Build-Depends.
     Closes: #643488
Checksums-Sha1: 
 871a9da0500e94cc08d5ab870653090d947771d7 2547 petsc_3.1.dfsg-11.1.dsc
 0a269751df5550621c3290b520093b4a8f614644 1670480 petsc_3.1.dfsg-11.1.debian.tar.gz
 565ab4c9d76e005b54c858345091fca94995227c 14382 petsc-dev_3.1.dfsg-11.1_all.deb
 1be51e4481712ed629506390b6b9afcd4e5f9928 4202288 petsc3.1-doc_3.1.dfsg-11.1_all.deb
 6166c40c860277dd6ccb193bccab02a9aeac82fb 4369048 libpetsc3.1-dev_3.1.dfsg-11.1_amd64.deb
 f2ee1b398eb36c2522382612ecef6c3b7fa98345 2186822 libpetsc3.1_3.1.dfsg-11.1_amd64.deb
 1cbe0c3c2d99402ee3ea34bc2ccbf736b7672f07 4635452 libpetsc3.1-dbg_3.1.dfsg-11.1_amd64.deb
Checksums-Sha256: 
 f24fe1d1591d08dfc7c10d51150a2ee155c310301ead2c7ee1dbc91d262491a1 2547 petsc_3.1.dfsg-11.1.dsc
 f26ffc1d034d632c4ccf0d9958d004be09e63c0191c25e9e57f3afb40e01e46e 1670480 petsc_3.1.dfsg-11.1.debian.tar.gz
 69705ec89a2eb1d9fc90c94ef66046df79453473a08186d8f9d94ba26542eb90 14382 petsc-dev_3.1.dfsg-11.1_all.deb
 8e04825163b3dd916972c07cb89fa78562693bc5906ceacdb21003e88af57392 4202288 petsc3.1-doc_3.1.dfsg-11.1_all.deb
 a0bdf41b2ea974d5f1dc43bcd267e91b8ffccb117eb9b618d2f5df3b6e2760d1 4369048 libpetsc3.1-dev_3.1.dfsg-11.1_amd64.deb
 c6621f9b82eb1956b4a8e46223c4a4b03d56200dbe55b16f9bcb5e0bc96103f8 2186822 libpetsc3.1_3.1.dfsg-11.1_amd64.deb
 a0b89df66b9e84a98eb501b4dc895aa7bc5201d11982262aa5b53a7550621439 4635452 libpetsc3.1-dbg_3.1.dfsg-11.1_amd64.deb
Files: 
 238318aaa61452d9ade875eda15a9689 2547 devel extra petsc_3.1.dfsg-11.1.dsc
 faf316bbc73b04dfdf08b52666875625 1670480 devel extra petsc_3.1.dfsg-11.1.debian.tar.gz
 8245b6c9b3e7d78c9f5808fb1fc8c1e7 14382 libdevel extra petsc-dev_3.1.dfsg-11.1_all.deb
 c384c04fac577507cddd672c1a92b7df 4202288 doc extra petsc3.1-doc_3.1.dfsg-11.1_all.deb
 32155fa31243b6842361217eb7f91f83 4369048 libdevel extra libpetsc3.1-dev_3.1.dfsg-11.1_amd64.deb
 ddfc114ffae61a74dd6ab826318b534c 2186822 libs extra libpetsc3.1_3.1.dfsg-11.1_amd64.deb
 8e1d8cd1b78aadf5a430976dc4cbf161 4635452 debug extra libpetsc3.1-dbg_3.1.dfsg-11.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQGcBAEBCAAGBQJOwrRwAAoJEIvPpx7KFjRVLB4MAIQuhT2aj4apaxMQb71kqxP9
9hyizt6PxY/AUF5lgNh/ShzCBUf/DDCuU6UWFuSvZyR8jGq1o+42aNZ/3xWeV30j
8BtsUSv9V/ywr8xr88go6/fHm7ptWQmJO7HRKEyncFlxjmAZS1TctCF7gW9yPGyL
NmzHVE/g9kBzBe/tbr0bfIPHIMBtD9nFYeDv0n4o7G5Na3xn7JkETBnKZzyzKFit
6cyq0Rge7qvhng+ajTu7VSD05HKHn8vaJyLVZ/WusHEnQlGb90tNpiKQ7rj0wDP+
srrddyTgYogtq735T5QeEMdnX3uOp9U1Lepnc+F3VtdqAkDhzoO3wYY5VvCcESDE
txYHCwfAlomT6MXJDweSmYqYC+FKlRaz+4wg4Xfz9gPj1ctJ8RhSHR2b5DZERa95
I4/kLyU9JU6QF3eMeLtcr0o+wYnVqsN2nbAJ/RhjoY9pXL1Zq2nb39IdHN8eTMgI
nY166ZRiMXQyiY7EzRBY5DsiqL6z0ayXGuIIBLuTjg==
=HNOl
-----END PGP SIGNATURE-----





Added indication that bug 643488 blocks 631019 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 08 Dec 2011 08:30:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 Feb 2012 07:39:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:18:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.